Jump to content

Community

Two-step Authentication for IPB


Milad IPBPlug.in
 Share

Recommended Posts

Just installed this myself, looks good. But I was unable to install 2.0.4 directly as it gave me errors about missing table columns. So i installed 2.0.1 and tried to update to 2.0.4, but would get errors about the Helper. Going step by step though all 4 versions worked however.

Could just be me.

Link to comment
Share on other sites

10 minutes ago, MastricX said:

Just installed this myself, looks good. But I was unable to install 2.0.4 directly as it gave me errors about missing table columns. So i installed 2.0.1 and tried to update to 2.0.4, but would get errors about the Helper. Going step by step though all 4 versions worked however.

Could just be me.

Hello

No problem, the next version 2.0.5 which is coming shortly will fix this. Thanks for reporting.

Link to comment
Share on other sites

1 hour ago, Milad IPBPlug.in said:
  • Yes, it works on IPS Cloud, as long as you can install/upgrade applications by uploading tar files.
  • I hope their feature won't replace this, if it does replace it then there is no point of continuing to develop it. Unless there is a demand that's worth it.

Thanks! I look forward to using this.

Link to comment
Share on other sites

Forcing Admins to use 2SA for ACP resulted in :(

Error: Using $this when not in object context (0)
#0 /---/applications/twostepsauth/sources/Helper.php(137): IPS\_Member::isAdmin()
#1 /---/init.php(441) : eval()'d code(26): IPS\twostepsauth\sources\_Helper::mustEnforceAdmin()
#2 /---/system/Dispatcher/Dispatcher.php(86): IPS\Dispatcher\twostepsauth_hook_Dispatcheradmin->init()
#3 /---/admin/index.php(13): IPS\_Dispatcher::i()
#4 {main}

 

Link to comment
Share on other sites

Bug confirmed. Fix is coming shortly.

9 minutes ago, MastricX said:

Forcing Admins to use 2SA for ACP resulted in :(


Error: Using $this when not in object context (0)
#0 /---/applications/twostepsauth/sources/Helper.php(137): IPS\_Member::isAdmin()
#1 /---/init.php(441) : eval()'d code(26): IPS\twostepsauth\sources\_Helper::mustEnforceAdmin()
#2 /---/system/Dispatcher/Dispatcher.php(86): IPS\Dispatcher\twostepsauth_hook_Dispatcheradmin->init()
#3 /---/admin/index.php(13): IPS\_Dispatcher::i()
#4 {main}

 

2.0.6 released to fix this problem. Thanks for reporting it.

Link to comment
Share on other sites

On 28/10/2016 at 0:05 PM, Milad IPBPlug.in said:

The thing is: if no new version is released, then you don't have to pay the renewal fees. You can keep your license and renew only when you need to.

Those who purchased this in 2013, and don't have a current license, can renew it for $6.99 now!

More importantly, check the first post, the purchase fee was $17.5, the renewal was $6. I think I have given you guys a very good offer.

Regards

This is true, didn't think about just not renewing when it request you to do it.

Link to comment
Share on other sites

The IPS support tool is telling me there is an issue with this plugin's table, and to run this command:

"ALTER TABLE `IPB_core_groups` CHANGE COLUMN `g_twostepsauth_admin` `g_twostepsauth_admin` TINYINT (1) UNSIGNED NULL DEFAULT 1 COMMENT 'Can use 2-Step Verification in ACP?'"

Edited by d2dyno
Link to comment
Share on other sites

  • 2 weeks later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

We use technologies, such as cookies, to customise content and advertising, to provide social media features and to analyse traffic to the site. We also share information about your use of our site with our trusted social media, advertising and analytics partners. See more about cookies and our Privacy Policy